> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Create a new FlowAI project

POST https://example.itential.io/agent-project-service/projects
Content-Type: application/json

Creates a new FlowAI Project with no components. Defaults GBAC to the current user as owner.

Reference: https://docs.itential.com/itential-platform/6/api-reference/agent-project-service/create-project

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `name` (string, optional)
- `description` (string, optional)

## Response

### 200

The created FlowAI Project

- `message` (string, required)
- `data` (object, required)
  - `_id` (string, required)
  - `iid` (integer, required)
  - `name` (string, required)
  - `description` (string, required)
  - `components` (list of object, required)
    - `type` ("agent", required)
    - `reference` (string, required)
  - `createdBy` (object, required)
    - `_id` (string, required)
    - `username` (string, required)
    - `provenance` (string, required)
  - `created` (string, required)
  - `lastUpdatedBy` (object, required)
    - `_id` (string, required)
    - `username` (string, required)
    - `provenance` (string, required)
  - `lastUpdated` (string, required)
  - `members` (list of object or object, required)
    - object
      - `type` ("account", required)
      - `reference` (string, required)
      - `role` (enum, required)
        - Allowed values: `owner`, `editor`, `viewer`
      - `username` (string, required)
      - `provenance` (string, required)
    - object
      - `type` ("group", required)
      - `reference` (string, required)
      - `role` (enum, required)
        - Allowed values: `owner`, `editor`, `viewer`
      - `name` (string, required)
      - `provenance` (string, required)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "message": "string",
  "data": {
    "_id": "string",
    "iid": 1,
    "name": "string",
    "description": "string",
    "components": [
      {
        "type": "string",
        "reference": "string"
      }
    ],
    "createdBy": {
      "_id": "string",
      "username": "string",
      "provenance": "string"
    },
    "created": "2024-01-15T09:30:00Z",
    "lastUpdatedBy": {
      "_id": "string",
      "username": "string",
      "provenance": "string"
    },
    "lastUpdated": "2024-01-15T09:30:00Z",
    "members": [
      {
        "provenance": "string",
        "reference": "string",
        "role": "owner",
        "type": "string",
        "username": "string"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/agent-project-service/projects"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/agent-project-service/projects';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/agent-project-service/projects"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/agent-project-service/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/agent-project-service/projects")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/agent-project-service/projects', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/agent-project-service/projects");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/agent-project-service/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```